﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;

@model IEnumerable<SSCMvc.Models.Tb_FeeRefund>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)
    <script type="text/javascript">

        deleterecord("Tb_FeeRefund");
        function Submit() {
            searchfun();
        }

        $(document).ready(function () {


            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });





        });


        function searchfun() {
            var rollno = $("#txtrollno").val();
            var txtname = $("#txtname").val();
            var txtcourse = $("#txtcourse").val();
            window.location.href = "/Tb_FeeRefund/Search?rollno=" + rollno + "&&sname=" + txtname + "&&scourse=" + txtcourse;
        }
    </script>

    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>

}


<div class="header">
    <div class="stats">
    </div>

    <h1 class="page-title">Fee Refund List</h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }

    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>

<div style="margin-top: 40px" align="center">
    <table style="width: 900px; text-align: center">
        <tr>
            <td style="width: 60px">Roll NO.</td>
            <td>
                <input type="text" style="width: 130px" id="txtrollno" />
            </td>
            <td style="vertical-align: middle">
                Name

            </td>
            <td>
                <input type="text" style="width: 130px" id="txtname" />
            </td>

            <td style="vertical-align: middle">
                Course

            </td>
            <td>
                <input type="text" style="width: 130px" id="txtcourse" />
            </td>



            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                        </td>
                    </tr>
                </table>


            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    <div class="row-fluid">

        <div class="btn-toolbar">


            <div class="btn-group">
            </div>
        </div>

        <p class="datail_style">
            <table width="100%" align="center">
                <tr>

                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">

                        Total:  @ViewBag.TotalCount

                    </td>
                </tr>

            </table>

        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.RefundNo)
                        </th>
                        <th>
                            Roll No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Course

                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.MaPackage.PackageName)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Edate)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.RefundAmount)
                        </th>


                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                    string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.RefundNo)
                            </td>
                            <td>

                                @Html.DisplayFor(modelItem => item.MaAdmission.RollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaAdmission.FirstName) &nbsp;
                                @Html.DisplayFor(modelItem => item.MaAdmission.LastName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaPackage.PackageName)
                            </td>
                            <td>
                                @{string cdate = string.Format("{0:dd MMM,yyyy}", item.Edate);}

                                @cdate

                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.RefundAmount)
                            </td>


                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id }) |


                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Details", "Details", new { id = item.Id }) |
                                
                                
                                @{
                                  int roleid = StaticLogic.RoleId();
                                  if (Permission.CheckPermission(roleid, CommonUtil.FeeRefund, UserAction.Delete) == true)
									
                                {
                                    @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "Tb_FeeRefund", new { id = item.Id }, new { @class = "delete-link" }, null)
                                }
                                }
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>

        </div>


        <table width="100%" align="center">
            <tr>
                <td align="left" width="50%">
                    @Html.Partial("_Pager")
                </td>
            </tr>
        </table>
    </div>
</div>
